Foreman - Bug #32497

kickstart_kernel_options doesn't handle properly tagged vlan over bond device
05/03/2021 07:18 PM - Joniel Pasqualetto

Status: Closed
Priority: Normal
Assignee:
Category: Templates
Target version: 251
Difficulty: Fixed in Releases: 2.5.1,3.0.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8493
Description

Description of problem:

When a host to be provisioned has a virtual interface that requires a VLAN tag and is attached to a bond device, the kernel options
simply ignore the bond device, creating only the VLAN. Therefore, dracut does not get configured properly and provisioning fails.

Version-Release number of selected component (if applicable):
How reproducible:

Steps to Reproduce:

1. Create a new host

2. Add 2 physical interfaces and mark both only as "managed”

3. Add a bond device using the 2 physical interfaces. Mark only the option "managed" to this interface too

4. Create a virtual interface, set a vlan tag and put the bond a master interface

5. Look at the rendered template "PXEGrub template" for example. You'll see something like this (pasting only the part of the line that

~~~

(...

... network ksdevice=bootif ks.device=bootif kssendmac ks.sendmac inst.ks.sendmac
ip=192.168.250.81::192.168.250.1:255.255.255.0:ryan-blacher.example.local:vlan409:none nameserver=192.168.250.100
vlan=vlan409:bond0

Note that the vlan is defined and it points to the device "bond0", but the bond device is not configured.
Actual results:

Rendered template looks like this:

(...

... network ksdevice=bootif ks.device=bootif kssendmac ks.sendmac inst.ks.sendmac
ip=192.168.250.81::192.168.250.1:255.255.255.0:ryan-blacher.example.local:vlan409:none nameserver=192.168.250.100
vlan=vlan409:bond0

Expected results:

~

()

... network ksdevice=bootif ks.device=bootif kssendmac ks.sendmac inst.ks.sendmac ip=192.168.250.81::192.168.250.1:255.255.255.0:ryan-blacher.example.local:vlan409:none

nameserver=192.168.250.100 bond=bond0:eth0,eth1:mode=active-backup,miimon=200 vlan=vlan409:bond0
Associated revisions

Revision b827e475 - 05/24/2021 06:17 PM - Joniel Pasqualetto
Fixes #32497 - allow template to properly manage vlan tag over bond interface

Allow the template kickstart_kernel_options to create the correct set of

options for dracut, in order to provision a server using a tagged VLAN over a bond

interface.

History

#1 - 05/06/2021 10:00 AM - Lukas Zapletal
- Project changed from Templates to Foreman

- Category set to Templates

#2 - 05/06/2021 12:55 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8493 added

#3 - 05/24/2021 06:17 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#4 - 05/24/2021 07:01 PM - Joniel Pasqualetto
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b827e475¢c383ec2c095f1e32645¢c61c0d65925d7.

#5 - 06/13/2021 01:19 PM - Tomer Brisker

- Target version set to 2.5.1

#6 - 06/16/2021 08:46 AM - Tomer Brisker
- Fixed in Releases 2.5.1 added
